----------------------------------------------------------------------------------
-- Create Date:    14:36:13 04/22/2011 
-- Module Name:    Taktteiler - Behavioral 
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Ampel is
 port(GCLK0: in std_logic;
      LD: out std_Logic_vector(7 downto 0));
end entity;

architecture Behavioral of Ampel is
 signal z: std_logic_vector(31 downto 0);
begin
 process(GCLK0)
 begin
  if rising_edge(GCLK0) then
   z <= z + 1;
   LD(0) <= z(25);
	case z(29 downto 26) is
    when "0000"|"0001" 
     => LD(7 downto 3) <= b"010_10"; -- A:gelb, F:rot
    when "0010"|"0011"
     => LD(7 downto 3) <= b"001_10"; -- A:gruen, F:rot
     -- ab hier selbst weiterentwickeln
    when others 
     => LD(7 downto 3) <= b"100_10"; -- A:rot, F:rot
   end case;
  end if;
 end process;

end Behavioral;

